package cn.com.poc.meeting.entity;	


public class BizMeetingAssistantAnalysisTaskEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** member_id
    *用户id
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** diagues_id
    *会话id
    */ 
    private java.lang.String diaguesId;

    public java.lang.String getDiaguesId(){
        return this.diaguesId;
    }
    
    public void setDiaguesId(java.lang.String diaguesId){
        this.diaguesId = diaguesId;
    }
	/** analysis_status
    *内容分析总状态 generate-生成中 completed-完成 failed-失败
    */ 
    private java.lang.String analysisStatus;

    public java.lang.String getAnalysisStatus(){
        return this.analysisStatus;
    }
    
    public void setAnalysisStatus(java.lang.String analysisStatus){
        this.analysisStatus = analysisStatus;
    }
	/** theme_content
    *会议主题
    */ 
    private java.lang.String themeContent;

    public java.lang.String getThemeContent(){
        return this.themeContent;
    }
    
    public void setThemeContent(java.lang.String themeContent){
        this.themeContent = themeContent;
    }
	/** theme_generate_status
    *会议主题生成状态
    */ 
    private java.lang.String themeGenerateStatus;

    public java.lang.String getThemeGenerateStatus(){
        return this.themeGenerateStatus;
    }
    
    public void setThemeGenerateStatus(java.lang.String themeGenerateStatus){
        this.themeGenerateStatus = themeGenerateStatus;
    }
	/** key_word_content
    *关键词
    */ 
    private java.lang.String keyWordContent;

    public java.lang.String getKeyWordContent(){
        return this.keyWordContent;
    }
    
    public void setKeyWordContent(java.lang.String keyWordContent){
        this.keyWordContent = keyWordContent;
    }
	/** key_word_generate_status
    *关键词生成状态
    */ 
    private java.lang.String keyWordGenerateStatus;

    public java.lang.String getKeyWordGenerateStatus(){
        return this.keyWordGenerateStatus;
    }
    
    public void setKeyWordGenerateStatus(java.lang.String keyWordGenerateStatus){
        this.keyWordGenerateStatus = keyWordGenerateStatus;
    }
	/** meeting_summary_content
    *会议摘要
    */ 
    private java.lang.String meetingSummaryContent;

    public java.lang.String getMeetingSummaryContent(){
        return this.meetingSummaryContent;
    }
    
    public void setMeetingSummaryContent(java.lang.String meetingSummaryContent){
        this.meetingSummaryContent = meetingSummaryContent;
    }
	/** meeting_summary_generate_status
    *会议摘要生成状态
    */ 
    private java.lang.String meetingSummaryGenerateStatus;

    public java.lang.String getMeetingSummaryGenerateStatus(){
        return this.meetingSummaryGenerateStatus;
    }
    
    public void setMeetingSummaryGenerateStatus(java.lang.String meetingSummaryGenerateStatus){
        this.meetingSummaryGenerateStatus = meetingSummaryGenerateStatus;
    }
	/** featured_questions_generate_status
    *推荐问生成状态
    */ 
    private java.lang.String featuredQuestionsGenerateStatus;

    public java.lang.String getFeaturedQuestionsGenerateStatus(){
        return this.featuredQuestionsGenerateStatus;
    }
    
    public void setFeaturedQuestionsGenerateStatus(java.lang.String featuredQuestionsGenerateStatus){
        this.featuredQuestionsGenerateStatus = featuredQuestionsGenerateStatus;
    }
	/** featured_questions
    *推荐问
    */ 
    private java.lang.String featuredQuestions;

    public java.lang.String getFeaturedQuestions(){
        return this.featuredQuestions;
    }
    
    public void setFeaturedQuestions(java.lang.String featuredQuestions){
        this.featuredQuestions = featuredQuestions;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }


    @Override
    public String toString() {
        return "BizMeetingAssistantAnalysisTaskEntity{" +
                "id=" + id +
                ", memberId=" + memberId +
                ", diaguesId='" + diaguesId + '\'' +
                ", analysisStatus='" + analysisStatus + '\'' +
                ", themeContent='" + themeContent + '\'' +
                ", themeGenerateStatus='" + themeGenerateStatus + '\'' +
                ", keyWordContent='" + keyWordContent + '\'' +
                ", keyWordGenerateStatus='" + keyWordGenerateStatus + '\'' +
                ", meetingSummaryContent='" + meetingSummaryContent + '\'' +
                ", meetingSummaryGenerateStatus='" + meetingSummaryGenerateStatus + '\'' +
                ", featuredQuestionsGenerateStatus='" + featuredQuestionsGenerateStatus + '\'' +
                ", featuredQuestions='" + featuredQuestions + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                ", creator='" + creator + '\'' +
                ", createdTime=" + createdTime +
                ", modifier='" + modifier + '\'' +
                ", modifiedTime=" + modifiedTime +
                ", sysVersion=" + sysVersion +
                '}';
    }
}